Bug 8758 - kdm screws up Xsetup call when accessed from remote Xserver
kdm screws up Xsetup call when accessed from remote Xserver
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-22 20:08 EST by Simon Hill
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-23 10:43:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Hill 2000-01-22 20:08:08 EST
When connecting to kdm from a remote Xserver via

X -query host

kdm attempts to execute /usr/X11R6/lib/X11/xdm/Xsetup, which doesn't exist,
resulting in a login dialog box, but no background image. Of course, any
other custom setup doesn't get done either.

Jan 22 15:48:34 apollo kdm[27428]: can't execute
"/usr/X11R6/lib/X11/xdm/Xsetup" (err 2)

I think kdm SHOULD be calling /usr/X11R6/lib/X11/xdm/Xsetup_0

A quick workaround is:

ln -s /etc/X11/xdm/Xsetup_0 /etc/X11/xdm/Xsetup
Comment 1 Simon Hill 2000-01-22 20:12:59 EST
kdebase-1.1.2-11
Comment 2 Simon Hill 2000-01-23 10:43:59 EST
Well, I found the UNMAINTAINED Xterminal-HOWTO, and figured out how to configure
xdm/kdm to call the right setup file.  Now if I could only figure out how to
make that chooser stuff work.

I can't believe that this information is not included in say the X Window User
HOWTO or maintained as a separate HOWTO. I found this "bug" mentioned numerous
times in the KDE mailing lists, and nowhere was it actually correctly answered
(otherwise I would never have submitted this bug report).

I would like to suggest that there is still a bug, but that it is a
documentation bug.  Somebody needs to start maintaining that Xterminal HOWTO.
What are you looking at me for, its obvious that I know NOTHING about X ;-)

Note You need to log in before you can comment on or make changes to this bug.